Bug 1671097 (CVE-2018-12022)

Summary: CVE-2018-12022 jackson-databind: improper polymorphic deserialization of types from Jodd-db library
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: ahardin, bbuckingham, bcourt, bkearney, bleanhar, bmcclain, cbillett, cbyrne, ccoleman, cmacedo, dbecker, dblechte, dedgar, dfediuck, dffrench, drusso, eedri, eparis, hhorak, jgoulding, jjoyce, jmadigan, jokerman, jorton, jschluet, jshepherd, kbasil, krathod, lhh, loleary, lpeer, mburns, mchappel, mgoldboi, michal.skrivanek, mkolesni, mmccune, mrike, ngough, ohadlevy, pwright, rchan, rhcs-maint, rjerrido, sbonazzo, sclewis, sherold, slinaber, spinder, theute, tomckay, trepel, yturgema
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: jackson-databind 2.7.9.4, jackson-databind 2.8.11.2, jackson-databind 2.9.6 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:46:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1700946, 1671098, 1672879, 1672880, 1672881, 1700947, 1700977, 1700978, 1730588, 1731780, 1731787, 1731789, 1731790, 1731792, 1732286, 1732291, 1732539    
Bug Blocks: 1666431    

Description Laura Pardo 2019-01-30 17:40:31 UTC
FasterXML jackson-databind before versions 2.7.9.4, 2.8.11.2, 2.9.6 fails to block polymorphic deserialization of types from Jodd-db library. This could lead to Remote Code Execution.


Reference:
https://github.com/FasterXML/jackson-databind/issues/2052

Upstream Patch:
https://github.com/FasterXML/jackson-databind/commit/7487cf7eb14be2f65a1eb108e8629c07ef45e0a1

Comment 1 Laura Pardo 2019-01-30 17:40:45 UTC
Created jackson-databind tracking bugs for this issue:

Affects: fedora-all [bug 1671098]

Comment 2 James Hebden 2019-02-14 06:40:36 UTC
OpenDaylight does not include jodd, but does ship impacted versions of jackson
databind. We have covered this in #1671096 - so I will not add additional
affects here, given the library is not used, and the commit fixing this issue
is exactly the same commit as 1671096, where we do ship both a vulnerable
jackson-databind and JODBC support, despite not shipping the impacted classes.

Comment 7 Doran Moppert 2019-02-18 03:42:21 UTC
Statement:

Red Hat Satellite 6 is not affected by this issue, since Candlepin's java runtime environment does not load Jodd classes.

Red Hat Virtualization 4 is not affected by this issue, since it does not load Jodd classes.

Comment 21 errata-xmlrpc 2019-04-17 21:01:13 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:0782 https://access.redhat.com/errata/RHSA-2019:0782

Comment 22 errata-xmlrpc 2019-04-24 18:47:07 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2019:0877 https://access.redhat.com/errata/RHSA-2019:0877

Comment 24 errata-xmlrpc 2019-05-08 12:04:20 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2019:1106 https://access.redhat.com/errata/RHSA-2019:1106

Comment 25 errata-xmlrpc 2019-05-08 12:09:29 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 6

Via RHSA-2019:1107 https://access.redhat.com/errata/RHSA-2019:1107

Comment 26 errata-xmlrpc 2019-05-08 12:11:51 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 7

Via RHSA-2019:1108 https://access.redhat.com/errata/RHSA-2019:1108

Comment 27 errata-xmlrpc 2019-05-09 18:15:04 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.3.1 zip

Via RHSA-2019:1140 https://access.redhat.com/errata/RHSA-2019:1140

Comment 29 errata-xmlrpc 2019-07-15 19:18:54 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BRMS 6.4.12

Via RHSA-2019:1782 https://access.redhat.com/errata/RHSA-2019:1782

Comment 30 errata-xmlrpc 2019-07-16 16:22:00 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2019:1797 https://access.redhat.com/errata/RHSA-2019:1797

Comment 37 errata-xmlrpc 2019-07-22 14:53:41 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2019:1823 https://access.redhat.com/errata/RHSA-2019:1823

Comment 38 errata-xmlrpc 2019-07-22 14:54:06 UTC
This issue has been addressed in the following products:

  Red Hat Decision Manager

Via RHSA-2019:1822 https://access.redhat.com/errata/RHSA-2019:1822

Comment 41 errata-xmlrpc 2019-09-17 13:45:53 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 6.3

Via RHSA-2019:2804 https://access.redhat.com/errata/RHSA-2019:2804

Comment 44 errata-xmlrpc 2019-09-27 00:14:18 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.1

Via RHSA-2019:2858 https://access.redhat.com/errata/RHSA-2019:2858

Comment 45 errata-xmlrpc 2019-10-10 12:49:55 UTC
This issue has been addressed in the following products:

  Red Hat Fuse Intergration Services 2.0 based on Fuse 6.3 R13

Via RHSA-2019:3002 https://access.redhat.com/errata/RHSA-2019:3002

Comment 46 errata-xmlrpc 2019-10-17 14:55:11 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Data Virtualization 6.4.8

Via RHSA-2019:3140 https://access.redhat.com/errata/RHSA-2019:3140

Comment 47 errata-xmlrpc 2019-10-18 19:52:59 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHSA-2019:3149 https://access.redhat.com/errata/RHSA-2019:3149

Comment 48 errata-xmlrpc 2019-11-14 21:18:22 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.5.0

Via RHSA-2019:3892 https://access.redhat.com/errata/RHSA-2019:3892

Comment 50 errata-xmlrpc 2019-12-02 16:24:49 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid

Via RHSA-2019:4037 https://access.redhat.com/errata/RHSA-2019:4037